Skip to main content
GET
Posts
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

handle
string
required

Threads username

Example:

"trendspider"

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • data.posts[n].pk: Post unique ID
  • data.posts[n].user.username: Author Threads handle
  • data.posts[n].caption.text: Post text content
  • data.posts[n].code: Short post code used in URL construction
  • data.posts[n].like_count: Number of likes
  • data.posts[n].taken_at: Unix timestamp of post
  • data.posts[n].text_post_app_info.reshare_count: Reshare count
  • data.posts[n].text_post_app_info.direct_reply_count: Reply count
  • data.posts[n].url: Full URL to the post